svn commit: r343768 - user/pho/stress2/misc
Peter Holm
pho at FreeBSD.org
Tue Feb 5 08:15:20 UTC 2019
Author: pho
Date: Tue Feb 5 08:15:19 2019
New Revision: 343768
URL: https://svnweb.freebsd.org/changeset/base/343768
Log:
PR: 235513
Sponsored by: Dell EMC Isilon
Added:
user/pho/stress2/misc/devfs4.sh (contents, props changed)
Added: user/pho/stress2/misc/devfs4.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ user/pho/stress2/misc/devfs4.sh Tue Feb 5 08:15:19 2019 (r343768)
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+#
+# SPDX-License-Identifier: BSD-2-Clause-FreeBSD
+#
+# Copyright (c) 2019 Dell EMC Isilon
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Bug 235513 - panic: dead bo 0xfffff8000a838b48
+# https://people.freebsd.org/~pho/stress/log/devfs4.txt
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+umount -f /dev && mount /dev
More information about the svn-src-user
mailing list